Loading...
Searching...
No Matches
Dune::TypeTree::FilterResult< FilterEntries > Struct Template Reference
dune-typetree » Nodes

The result of a filter. More...

`#include <dune/typetree/filters.hh>`

Inheritance diagram for Dune::TypeTree::FilterResult< FilterEntries >:

## Classes

struct | apply

## Public Types

typedef std::tuple< FilterEntries... > | IndexMap

## Static Public Attributes

static const std::size_t | size = sizeof...(FilterEntries)

## Detailed Description

template<typename... FilterEntries>
struct Dune::TypeTree::FilterResult< FilterEntries >

The result of a filter.

## Member Typedef Documentation

## IndexMap

template<typename... FilterEntries>

typedef std::tuple<FilterEntries...> Dune::TypeTree::FilterResult< FilterEntries >::IndexMap

## Member Data Documentation

## size

template<typename... FilterEntries>

const std::size_t Dune::TypeTree::FilterResult< FilterEntries >::size = sizeof...(FilterEntries)

static

The documentation for this struct was generated from the following file:

- filters.hh